<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:orientation="vertical"
    android:background="@color/white"
    android:layout_height="match_parent">

    <include
        android:id="@+id/title"
        layout="@layout/title_white_bar"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingBottom="@dimen/dp_20"
        android:paddingLeft="@dimen/dp_25"
        android:paddingRight="@dimen/dp_25"
        android:paddingTop="@dimen/dp_50">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="兑换码开通"
            android:textSize="@dimen/sp_18"
            android:textStyle="bold"
            android:textColor="@color/col_313"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_55"
            android:layout_marginTop="@dimen/dp_16"
            android:orientation="horizontal"
            android:background="@drawable/shape_duihuan_bg">

            <EditText
                android:id="@+id/etCode"
                android:layout_width="@dimen/dp_0"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="center|left"
                android:textColor="@color/col_313"
                android:textSize="@dimen/dp_16"
                android:hint="请输入兑换码"
                android:textColorHint="@color/col_6B6"
                android:textStyle="bold"
                android:paddingLeft="@dimen/dp_20"
                android:ems="12"/>

            <LinearLayout
                android:id="@+id/llScan"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:gravity="center_vertical">
                <ImageView
                    android:layout_width="@dimen/dp_20"
                    android:layout_height="@dimen/dp_20"
                    android:layout_gravity="center_vertical"
                    android:background="@mipmap/ic_scan"
                    android:layout_marginRight="@dimen/dp_5"
                    />
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="去扫码"
                    android:layout_marginRight="@dimen/dp_20"
                    android:textSize="@dimen/sp_12"
                    android:textColor="@color/col_8D0"
                    android:textStyle="bold"
                    android:gravity="center_vertical"
                    />
            </LinearLayout>
        </LinearLayout>

        <!-- 分割线   -->
        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_1"
            android:layout_marginLeft="@dimen/dp_16"
            android:visibility="gone"
            android:layout_marginRight="@dimen/dp_16"
            android:background="@color/col_e4e4" />


        <!--  开通须知  -->
        <TextView
            android:id="@+id/mPrivate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/dp_18"
            android:drawableLeft="@drawable/selctor_check_sel"
            android:drawablePadding="@dimen/dp_6"
            android:textSize="@dimen/dp_15"
            android:text="开通须知：此兑换码仅限本人使用，开通完成之后，无法二次兑换。"
            android:textColor="@color/col_7c7" />


        <!-- 确定兑换   -->
        <TextView
            android:id="@+id/mConfirm"
            android:layout_width="@dimen/dp_190"
            android:layout_height="@dimen/dp_50"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/dp_46"
            android:background="@drawable/selector_login_btn"
            android:gravity="center"
            android:text="确认"
            android:textColor="@color/white"
            android:textStyle="bold"
            android:textSize="@dimen/dp_18" />
    </LinearLayout>
</LinearLayout>